import React, { useState, useEffect, useCallback} from 'react'
import ListCardItem from './listCardItem'
import { get, post } from '../../services';
import { orgTest} from '../../services/orgnazation/api'
const ListCard = (props) =>{
  const { ouid } = props
  console.log(ouid)
  const [valueList, setValueList]=useState([])
  const [testList, setTestList] = useState([]) 
  const { optionsList} = props
  const getValueCallback = useCallback(
    (value,index) => {
      console.log(value,index)
      console.log(valueList,'valueList1```')
      setValueList(valueList[index]=value)
      console.log(valueList,'valueList')
    },[])
  useEffect(()=>{
    const defaultConfig ={
      optionsList:[],
      title:'默认组',
      id:'',
    }
    get("/Cityinterface/rest/services/OMS.svc/U_GetUserListForBatchOper",{
      OUID:ouid||'',
      _version:9999,
      _dc:new Date().getTime()
    }).then(res =>{
      const list = []
      res &&  res.map(item =>{
        list.push({...defaultConfig,...item})
      })
      setTestList(list)
    })
    //多级嵌套测试
    orgTest().then(res =>{
      console.log(res,'res')
    })
  },[ouid])
  return (
    <>
        {
         testList && testList.map((item,index) =>{
            return (<ListCardItem {...item} itemid={index} key={index}
              getValueCallback={getValueCallback}></ListCardItem>)
          })
        }
    </>
  )
}

export default ListCard